// ★コメント未記入
/*
		2004-05-10	b031228 (3204)へぼぺとの連携(moralog)
		2004-05-10	b040111 (3344) 共通設定のユニコード文字で追加のボタンを押すと強制終了 (moralog)
*/
#if !defined(AFX_SETTINGCOMMONSHEET_H_INCLUDED_)
#define AFX_SETTINGCOMMONSHEET_H_INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "OwnerTabCtrl.h"
#include "EmphasisEdit.h"
#include "LogFont.h"
#include "SettingMarginDlg.h"
#include "EmphasisDlg.h"
#include "EmphasisDefine.h"
#include "FlipDlg.h"
#include "BoxCharDlg.h"
// ▼ (3344) BGN 2004.05.10 (moralog) Unicode文字描画自動化
// ▽ original BGN
//#include "UnicoderDlg.h"
// △ original END
// ▲ (3344) END
#include "PrintDlg.h"
#include "BlankDlg.h"
#include "SettingViewDlg.h"
#include "RelationDlg.h"
#include "SettingAutoBackupDlg.h"
// ▼ (3204) BGN 2004.05.10 (moralog) ランチャツールバー追加
#include "LaunchDlg.h"
// ▲ (3204) END

class CGeneralSetting;

/////////////////////////////////////////////////////////////////////////////
// CSettingCommonSheet ダイアログ

class CSettingCommonSheet : public CDialog
{
// コンストラクション
public:
	CSettingCommonSheet(CWnd* pParent = NULL);   // 標準のコンストラクタ

	// データのセット（ポインタを属性にセットする）
	void Attach( CGeneralSetting* pGeneralSetting ){ m_pGeneralSetting = pGeneralSetting; };
	void Attach( CShitarabianDoc* pDoc ){ m_pDoc = pDoc; };

protected:
	// ポインタを保存し、以後外部の実体にアクセスする
	CGeneralSetting*		m_pGeneralSetting;
	CShitarabianDoc*		m_pDoc;

	void					ReadFromGeneral();
	void					WriteToGeneral();
	void					VisibleControl();

	// 設定情報反映
	void ReBuildView();

	void DestroyPagez();
	void CreatePagez();


// ダイアログ データ
	//{{AFX_DATA(CSettingCommonSheet)
	enum { IDD = IDD_SETTING_COMMONSHEET };
	COwnerTabCtrl	m_tabSheet;
	//}}AFX_DATA


// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CSettingCommonSheet)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	CSettingMarginDlg		m_SettingMarginDlg;
	CFlipDlg				m_SettingFlipDlg;
	CFlipDlg				m_SettingMirrorDlg;
// ▼ (3344) BGN 2004.05.10 (moralog) Unicode文字描画自動化
// ▽ original BGN
//	CUnicoderDlg			m_SettingUnicoderDlg;
// △ original END
// ▲ (3344) END
	CRelationDlg			m_SettingRelationDlg;
	CSettingAutoBackupDlg	m_SettingAutoBackupDlg;
// ▼ (3204) BGN 2004.05.10 (moralog) ランチャツールバー追加
	CLaunchDlg				m_SettingLaunchDlg;		// [ランチャ]ページ [-] (-)
// ▲ (3204) END

	// 生成されたメッセージ マップ関数
	//{{AFX_MSG(CSettingCommonSheet)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnSettingReflect();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_SETTINGCOMMONSHEET_H_INCLUDED_)
